/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * How the media item is associated with its location.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LocationAssociation extends com.google.api.client.json.GenericJson {

  /**
   * The category that this location photo belongs to.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String category;

  /**
   * The ID of a price list item that this location photo is associated with.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String priceListItemId;

  /**
   * The category that this location photo belongs to.
   * @return value or {@code null} for none
   */
  public java.lang.String getCategory() {
    return category;
  }

  /**
   * The category that this location photo belongs to.
   * @param category category or {@code null} for none
   */
  public LocationAssociation setCategory(java.lang.String category) {
    this.category = category;
    return this;
  }

  /**
   * The ID of a price list item that this location photo is associated with.
   * @return value or {@code null} for none
   */
  public java.lang.String getPriceListItemId() {
    return priceListItemId;
  }

  /**
   * The ID of a price list item that this location photo is associated with.
   * @param priceListItemId priceListItemId or {@code null} for none
   */
  public LocationAssociation setPriceListItemId(java.lang.String priceListItemId) {
    this.priceListItemId = priceListItemId;
    return this;
  }

  @Override
  public LocationAssociation set(String fieldName, Object value) {
    return (LocationAssociation) super.set(fieldName, value);
  }

  @Override
  public LocationAssociation clone() {
    return (LocationAssociation) super.clone();
  }

}
